summary refs log tree commit diff
diff options
context:
space:
mode:
authorTomas Hlavaty <tom@logand.com>2016-12-07 17:58:36 +0100
committerVladimír Čunát <vcunat@gmail.com>2016-12-07 17:58:36 +0100
commit59134519eefd1bc2b855b7e918e3f380e8c222dc (patch)
tree82f2ef101a9a2bca0437c56ece47b72f0d14a73f
parentc677c35922b06f8861bfd97e79c3e8803e55fe0c (diff)
downloadnixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar.gz
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar.bz2
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar.lz
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar.xz
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.tar.zst
nixpkgs-59134519eefd1bc2b855b7e918e3f380e8c222dc.zip
fix win-dll-link.sh setup hook (#20925)
if a dll is symlink then dll files from the symlinked
directory need to be taken
-rw-r--r--pkgs/build-support/setup-hooks/win-dll-link.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/pkgs/build-support/setup-hooks/win-dll-link.sh b/pkgs/build-support/setup-hooks/win-dll-link.sh
index be63f69ca10..634a9d18f00 100644
--- a/pkgs/build-support/setup-hooks/win-dll-link.sh
+++ b/pkgs/build-support/setup-hooks/win-dll-link.sh
@@ -33,7 +33,7 @@ _linkDLLs() {
         # That DLL might have its own (transitive) dependencies,
         # so add also all DLLs from its directory to be sure.
         local dllPath2
-        for dllPath2 in "$dllPath" "$(dirname "$dllPath")"/*.dll; do
+        for dllPath2 in "$dllPath" "$(dirname $(readlink "$dllPath" || echo "$dllPath"))"/*.dll; do
             if [ -e ./"$(basename "$dllPath2")" ]; then continue; fi
             ln -sr "$dllPath2" .
             linkCount=$(($linkCount+1))